## metapixel 0.11

=== Makefile ===
PREFIX = /usr/local
INSTALL = install
MANPAGE_XSL = /sw/share/xml/xsl/docbook-xsl/manpages/docbook.xsl

BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/man

VERSION = 0.11

#DEBUG = -g
OPTIMIZE = -O2
#PROFILE = -pg

MACOS_LDOPTS = -L/sw/lib
MACOS_CCOPTS = -I/sw/include

LDOPTS = $(MACOS_LDOPTS) -L/usr/X11R6/lib $(PROFILE) $(DEBUG)
CCOPTS = $(MACOS_CCOPTS) -I/usr/X11R6/include -I/usr/X11R6/include/X11 -I. -Wall $(OPTIMIZE) $(DEBUG) $(PROFILE) -DMETAPIXEL_VERSION=\"$(VERSION)\"
CC = gcc
#LIBFFM = -lffm

LISPREADER_OBJS = lispreader.o pools.o allocator.o
OBJS = metapixel.o vector.o zoom.o rwpng.o rwjpeg.o readimage.o writeimage.o \
       $(LISPREADER_OBJS) getopt.o getopt1.o
CONVERT_OBJS = convert.o $(LISPREADER_OBJS) getopt.o getopt1.o
IMAGESIZE_OBJS = imagesize.o rwpng.o rwjpeg.o readimage.o

all : metapixel metapixel.1 convert imagesize

metapixel : $(OBJS)
	$(CC) $(LDOPTS) -o metapixel $(OBJS) -lpng -ljpeg $(LIBFFM) -lm -lz

metapixel.1 : metapixel.xml
	xsltproc --nonet $(MANPAGE_XSL) metapixel.xml

convert : $(CONVERT_OBJS)
	$(CC) $(LDOPTS) -o convert $(CONVERT_OBJS)

imagesize : $(IMAGESIZE_OBJS)
	$(CC) $(LDOPTS) -o imagesize $(IMAGESIZE_OBJS) -lpng -ljpeg -lm -lz

zoom : zoom.c rwjpeg.c rwpng.c readimage.c writeimage.c
	$(CC) -o zoom $(OPTIMIZE) $(PROFILE) $(MACOS_CCOPTS) -DTEST_ZOOM zoom.c rwjpeg.c rwpng.c readimage.c writeimage.c $(MACOS_LDOPTS) -lpng -ljpeg -lm -lz

%.o : %.c
	$(CC) $(CCOPTS) -c $<

install : metapixel metapixel.1
	$(INSTALL) -d $(BINDIR)
	$(INSTALL) metapixel $(BINDIR)
	$(INSTALL) metapixel-prepare $(BINDIR)
	$(INSTALL) metapixel.1 $(MANDIR)/man1
#	$(INSTALL) imagesize $(BINDIR)
#	$(INSTALL) sizesort $(BINDIR)

clean :
	rm -f *.o metapixel convert imagesize *~

realclean : clean
	rm -f metapixel.1

dist : metapixel.1
	rm -rf metapixel-$(VERSION)
	mkdir metapixel-$(VERSION)
	cp Makefile README NEWS COPYING *.[ch] metapixel-prepare sizesort metapixel.xml metapixel.1 metapixelrc \
		metapixel-$(VERSION)/
	tar -zcvf metapixel-$(VERSION).tar.gz metapixel-$(VERSION)
	rm -rf metapixel-$(VERSION)

## metapixel 1.0.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 BINDIR = $(PREFIX)/bin
 MANDIR = $(PREFIX)/man
 
-VERSION = 0.11
+VERSION = 1.0.0
 
 #DEBUG = -g
 OPTIMIZE = -O2

## metapixel 1.0.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 BINDIR = $(PREFIX)/bin
 MANDIR = $(PREFIX)/man
 
-VERSION = 1.0.0
+VERSION = 1.0.1
 
 #DEBUG = -g
 OPTIMIZE = -O2
@@ -25,7 +25,7 @@
 CONVERT_OBJS = convert.o $(LISPREADER_OBJS) getopt.o getopt1.o
 IMAGESIZE_OBJS = imagesize.o rwpng.o rwjpeg.o readimage.o
 
-all : metapixel metapixel.1 convert imagesize
+all : metapixel metapixel.1 convert metapixel-imagesize
 
 metapixel : $(OBJS)
 	$(CC) $(LDOPTS) -o metapixel $(OBJS) -lpng -ljpeg $(LIBFFM) -lm -lz
@@ -36,8 +36,8 @@
 convert : $(CONVERT_OBJS)
 	$(CC) $(LDOPTS) -o convert $(CONVERT_OBJS)
 
-imagesize : $(IMAGESIZE_OBJS)
-	$(CC) $(LDOPTS) -o imagesize $(IMAGESIZE_OBJS) -lpng -ljpeg -lm -lz
+metapixel-imagesize : $(IMAGESIZE_OBJS)
+	$(CC) $(LDOPTS) -o metapixel-imagesize $(IMAGESIZE_OBJS) -lpng -ljpeg -lm -lz
 
 zoom : zoom.c rwjpeg.c rwpng.c readimage.c writeimage.c
 	$(CC) -o zoom $(OPTIMIZE) $(PROFILE) $(MACOS_CCOPTS) -DTEST_ZOOM zoom.c rwjpeg.c rwpng.c readimage.c writeimage.c $(MACOS_LDOPTS) -lpng -ljpeg -lm -lz
@@ -50,11 +50,11 @@
 	$(INSTALL) metapixel $(BINDIR)
 	$(INSTALL) metapixel-prepare $(BINDIR)
 	$(INSTALL) metapixel.1 $(MANDIR)/man1
-#	$(INSTALL) imagesize $(BINDIR)
-#	$(INSTALL) sizesort $(BINDIR)
+	$(INSTALL) metapixel-imagesize $(BINDIR)
+	$(INSTALL) metapixel-sizesort $(BINDIR)
 
 clean :
-	rm -f *.o metapixel convert imagesize *~
+	rm -f *.o metapixel convert metapixel-imagesize *~
 
 realclean : clean
 	rm -f metapixel.1
@@ -62,7 +62,8 @@
 dist : metapixel.1
 	rm -rf metapixel-$(VERSION)
 	mkdir metapixel-$(VERSION)
-	cp Makefile README NEWS COPYING *.[ch] metapixel-prepare sizesort metapixel.xml metapixel.1 metapixelrc \
-		metapixel-$(VERSION)/
+	cp Makefile README NEWS COPYING *.[ch] metapixel-prepare metapixel-sizesort \
+		metapixel.xml metapixel.1 metapixelrc metapixel.spec \
+			metapixel-$(VERSION)/
 	tar -zcvf metapixel-$(VERSION).tar.gz metapixel-$(VERSION)
 	rm -rf metapixel-$(VERSION)

## metapixel 1.0.2

=== Makefile ===
PREFIX = /usr/local
INSTALL = install
MANPAGE_XSL = /sw/share/xml/xsl/docbook-xsl/manpages/docbook.xsl

BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man

VERSION = 1.0.2

#DEBUG = -g
OPTIMIZE = -O2
#PROFILE = -pg

MACOS_LDOPTS = -L/sw/lib
MACOS_CCOPTS = -I/sw/include

FORMATDEFS = -DRWIMG_JPEG -DRWIMG_PNG -DRWIMG_GIF

LDOPTS = $(MACOS_LDOPTS) -L/usr/X11R6/lib $(PROFILE) $(DEBUG)
CCOPTS = $(MACOS_CCOPTS) -I/usr/X11R6/include -I/usr/X11R6/include/X11 -I. -Irwimg -Wall $(OPTIMIZE) $(DEBUG) $(PROFILE) -DMETAPIXEL_VERSION=\"$(VERSION)\"
CC = gcc
#LIBFFM = -lffm

export CCOPTS CC FORMATDEFS

LISPREADER_OBJS = lispreader.o pools.o allocator.o
OBJS = metapixel.o vector.o zoom.o $(LISPREADER_OBJS) getopt.o getopt1.o
CONVERT_OBJS = convert.o $(LISPREADER_OBJS) getopt.o getopt1.o
IMAGESIZE_OBJS = imagesize.o

all : metapixel metapixel.1 convert metapixel-imagesize

metapixel : $(OBJS) librwimg
	$(CC) $(LDOPTS) -o metapixel $(OBJS) rwimg/librwimg.a -lpng -ljpeg -lgif $(LIBFFM) -lm -lz

metapixel.1 : metapixel.xml
	xsltproc --nonet $(MANPAGE_XSL) metapixel.xml

convert : $(CONVERT_OBJS)
	$(CC) $(LDOPTS) -o convert $(CONVERT_OBJS)

metapixel-imagesize : $(IMAGESIZE_OBJS) librwimg
	$(CC) $(LDOPTS) -o metapixel-imagesize $(IMAGESIZE_OBJS) rwimg/librwimg.a -lpng -ljpeg -lgif -lm -lz

zoom : zoom.c librwimg
	$(CC) -o zoom $(OPTIMIZE) $(PROFILE) $(MACOS_CCOPTS) -DTEST_ZOOM zoom.c $(MACOS_LDOPTS) rwimg/librwimg.a -lpng -ljpeg -lgif -lm -lz

%.o : %.c
	$(CC) $(CCOPTS) $(FORMATDEFS) -c $<

librwimg :
	$(MAKE) -C rwimg

install : metapixel metapixel.1
	$(INSTALL) -d $(BINDIR)
	$(INSTALL) metapixel $(BINDIR)
	$(INSTALL) metapixel-prepare $(BINDIR)
	$(INSTALL) metapixel.1 $(MANDIR)/man1
	$(INSTALL) metapixel-imagesize $(BINDIR)
	$(INSTALL) metapixel-sizesort $(BINDIR)

clean :
	rm -f *.o metapixel convert metapixel-imagesize *~
	$(MAKE) -C rwimg clean

realclean : clean
	rm -f metapixel.1

dist : metapixel.1
	rm -rf metapixel-$(VERSION)
	mkdir metapixel-$(VERSION)
	mkdir metapixel-$(VERSION)/rwimg
	cp Makefile README NEWS COPYING *.[ch] metapixel-prepare metapixel-sizesort \
		metapixel.xml metapixel.1 metapixelrc metapixel.spec \
			metapixel-$(VERSION)/
	cp rwimg/Makefile rwimg/*.[ch] metapixel-$(VERSION)/rwimg/
	tar -zcvf metapixel-$(VERSION).tar.gz metapixel-$(VERSION)
	rm -rf metapixel-$(VERSION)

=== rwimg/Makefile ===
OBJS = readimage.o writeimage.o rwpng.o rwjpeg.o rwgif.o

FORMATDEFS = -DRWIMG_PNG -DRWIMG_JPEG -DRWIMG_GIF

all : librwimg.a

librwimg.a : $(OBJS)
	ar rcu librwimg.a $(OBJS)

%.o : %.c
	$(CC) $(CCOPTS) $(FORMATDEFS) -g -c $<

clean :
	rm -f *~ $(OBJS) librwimg.a

=== debian/changelog ===
metapixel (1.0.2-13) unstable; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Valdecir Sarat <vsarat@alunos.utfpr.edu.br>  Thu, 30 Oct 2025 20:58:44 -0300

metapixel (1.0.2-12) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:13:04 +0000

metapixel (1.0.2-11) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Fix day-of-week for changelog entry 0.9-2.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 14:19:21 +0100

metapixel (1.0.2-10) unstable; urgency=medium

  * QA upload.
  * debian/rules: Pass -ffile-prefix-map to dh_auto_build.
    (Closes: #1010486)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 02 May 2022 13:43:54 -0700

metapixel (1.0.2-9) unstable; urgency=medium

  [ Tobias Frost ]
  * QA upload.
  * Point d/watch to monitor the git repository.
  * Change to debhelper-compat and to compat level 13.
  * Fix field name case in debian/control (VCS-Git => Vcs-Git).
  * Bump S-V to 4.6.0 -- no changes required
  * Add "Rules-Requires-Root" hint to d/control.
  * Add Applied-Upstream hints to the patches.
  * Fix "incorrectly follows symlinks (patch provided)", applyinh patch from
    the BTS, thanks to Yaroslav for providing it (Closes: #793155)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #930901)
    + Let dh_auto_build pass cross tools to make.
    + cross.patch: Fix makefile dependencies.

 -- Tobias Frost <tobi@debian.org>  Wed, 10 Nov 2021 20:01:21 +0100

metapixel (1.0.2-8) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA Team.
  * Switch to dpkg-source 3.0 (quilt) format
    - The patch had also created files which where already there, with
      identical content, just lowercased filename. Those are dropped from the
      patch.
    - Splitted the patch in two parts: one for libgif, one for libpng
  * Do not set palette and other optional metadata when writing png files.
    (Closes: #824229)
  * Convert to short debhelper format.
  * Bump compat level to 12 (and B-D on debhelper >=12).
  * Apply wrap-and-sort, remove trailing whitespaces from d/changelog
  * Add Homepage field in d/control.
  * Bump S-V to 4.3.0 -- no changes required
  * Add packaging repository at salsa.d.o.

 -- Tobias Frost <tobi@debian.org>  Sun, 09 Jun 2019 01:53:30 +0200

metapixel (1.0.2-7.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS caused by last upload

 -- Tobias Frost <tobi@debian.org>  Thu, 14 Jan 2016 07:23:29 +0100

metapixel (1.0.2-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with libpng 1.5" by applying patch from Nobuhiro
    (Closes: #636004)
  * Change Build-Depends on libpng-dev from libpng12-dev (Closes: #662431)

 -- Tobias Frost <tobi@debian.org>  Wed, 06 Jan 2016 12:25:03 +0100

metapixel (1.0.2-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using giflib 5. Closes: #803285.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Dec 2015 05:05:47 +0000

metapixel (1.0.2-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depends on libjpeg-dev, not libjpeg62-dev (Closes: #643635)

 -- Didier Raboud <odyx@debian.org>  Mon, 21 Nov 2011 10:44:46 +0100

metapixel (1.0.2-7) unstable; urgency=low

  * Updated standards version.
  * Added misc:Depends to dependencies

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Sat, 28 May 2011 19:31:59 +0800

metapixel (1.0.2-6) unstable; urgency=low

  * Changing build dependency from libungif4-dev to libgif-dev (closes: 540147)
  * Made a few changes to copyright file to make package Lintian clean
  * Updated to latest standards version (no changes)

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Sun, 16 Aug 2009 20:59:54 +0800

metapixel (1.0.2-5) unstable; urgency=low

  * Adds metapixelrc, thanks to Wolf Wiegand for reporting this
    (closes: 435294)

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Sun, 02 Sep 2007 13:57:01 +0200

metapixel (1.0.2-4) unstable; urgency=medium

  * Updated build-dependencies, thanks to Regis Boudin for reporting this
    (closes: 424617)

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Sat, 12 May 2007 18:11:31 +0200

metapixel (1.0.2-3) unstable; urgency=low

  * Author's website changed: fixed watch file and copyright file

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Tue, 03 Apr 2007 02:52:58 +0200

metapixel (1.0.2-2) unstable; urgency=low

  * fixed watch file

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Fri, 19 Jan 2007 00:24:02 +0100

metapixel (1.0.2-1) unstable; urgency=low

  * Fixed typo in changelog

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Thu, 18 Jan 2007 16:25:07 +0100

metapixel (1.0.2-0) unstable; urgency=low

  * New upstream release (closes:407298)
  * Updated to latest standards version (no changes)

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Thu, 18 Jan 2007 13:51:22 +0100

metapixel (1.0.1-1) unst able; urgency=low

  * New upstream release
  * Switched to debhelper compatibility level 5

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Thu, 23 Feb 2006 08:43:43 +0100

metapixel (1.0.0-4) unstable; urgency=low

  * New maintainer email address.

 -- Chris Vanden Berghe <chrisvdb@debian.org>  Sat, 14 Jan 2006 00:53:48 +0100

metapixel (1.0.0-3) unstable; urgency=low

  * Updated to latest standards version (no changes)
  * Added metapixel-imagesize, metapixel-convert and metapixel-sizesort to the
    package (closes:#341099)

 -- Chris Vanden Berghe <Chris@VandenBerghe.org>  Wed,  4 Jan 2006 11:48:11 +0100

metapixel (1.0.0-2) unstable; urgency=low

  * Updated to latest standards version (no changes).
  * Added watch file.



=== debian/control ===
Source: metapixel
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               docbook-xml,
               docbook-xsl,
               libgif-dev,
               libjpeg-dev,
               libpng-dev,
               xsltproc
Standards-Version: 4.6.1
Homepage: https://www.complang.tuwien.ac.at/schani/metapixel/
Vcs-Git: https://salsa.debian.org/debian/metapixel.git
Vcs-Browser: https://salsa.debian.org/debian/metapixel
Rules-Requires-Root: no

Package: metapixel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: generator for photomosaics
 Metapixel is a program for generating photomosaics. It can generate
 classical photomosaics, in which the source image is viewed as a matrix
 of equally sized rectangles for each of which a matching image is
 substitued, as well as collage-style photomosaics, in which rectangular
 parts of the source image at arbitrary positions (i.e. not aligned to a
 matrix) are substituted by matching images.

=== debian/rules ===
#!/usr/bin/make -f

PREFIX = $(CURDIR)/debian/metapixel
BINDIR = $(PREFIX)/usr/bin
MANDIR = $(PREFIX)/usr/share/man

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PROFILE="-ffile-prefix-map=$(CURDIR)=." MANPAGE_XSL=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(PREFIX) BINDIR=$(BINDIR) MANDIR=$(MANDIR)

=== debian/tests/control ===
Test-Command: metapixel --help | grep '^Usage' -C 10
Restrictions: superficial

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.0.2+git%cd, dversionmangle=s/\+dfsg\d*$//" \
https://github.com/schani/metapixel \
heads/v1.0 debian uupdate
